Skip to main content
POST
/
api
/
v1
/
connected-accounts
/
connect-cookie
Connect Account Cookie
curl --request POST \
  --url https://api.example.com/api/v1/connected-accounts/connect-cookie \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "li_at": "<string>",
  "user_agent": "<string>",
  "provider": "linkedin",
  "country": "<string>"
}
'
{
  "success": true,
  "account": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "provider": "<string>",
    "provider_account_id": "<string>",
    "status": "connected",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "display_name": "<string>",
    "profile_url": "<string>",
    "is_default": false,
    "daily_connection_limit": 25,
    "daily_message_limit": 100,
    "warmup_days": 14,
    "connection_country": "<string>"
  },
  "checkpoint_required": false,
  "checkpoint_type": "<string>",
  "checkpoint_token": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.bavlio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Request to connect a LinkedIn account via browser cookie.

li_at
string
required

LinkedIn li_at access token cookie

Required string length: 10 - 1024
user_agent
string
required

Browser user agent where cookie was obtained

Required string length: 5 - 1024
provider
enum<string>
default:linkedin
Available options:
linkedin
country
string | null

ISO 3166-1 alpha-2 country code (e.g. 'US', 'PL'). If omitted, Unipile auto-assigns proxy near user's IP.

Required string length: 2
Pattern: ^[A-Z]{2}$

Response

Successful Response

Response from the connect flow — either success or checkpoint needed.

success
boolean
required
account
ConnectedAccountResponse · object

Response model for a connected account.

checkpoint_required
boolean
default:false
checkpoint_type
string | null
checkpoint_token
string | null